<?php


return  
    [
        'model' => [
            'model' => \Eform\Faq\Models\Faq::class,
            'table' => 'eform_faq_faqs',
            'hidden'=> [],
            'visible' => [],
            'guarded' => ['*'],
            'slugs' => ['slug' => 'name'],
            'dates' => ['deleted_at', 'created_at', 'updated_at'],
            'appends' => [],
            'fillable' => ['question',  'anser',  'category',  'user_id',  'status'],
            'translatables' => [],
            'upload_folder' => 'faq/faq',
            'uploads' => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts' => [
            
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision' => [],
            'perPage' => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'search' => [
            "category" => [
                "key" => "category", 
                "col" => 4, 
                "operators" => ['LIKE', '=', 'IN', 'BETWEEN'], 
                "type" => "text", 
                "label" => 'faq::faq.label.category', 
                "placeholder" => 'faq::faq.placeholder.category', 
            ],
            "user_id" => [
                "key" => "user_id", 
                "col" => 4, 
                "operators" => ['LIKE', '=', 'IN', 'BETWEEN'], 
                "type" => "text", 
                "label" => 'faq::faq.label.user_id', 
                "placeholder" => 'faq::faq.placeholder.user_id', 
            ],
            "status" => [
                "key" => "status", 
                "col" => 4, 
                "operators" => ['LIKE', '=', 'IN', 'BETWEEN'], 
                "type" => "text", 
                "label" => 'faq::faq.label.status', 
                "placeholder" => 'faq::faq.placeholder.status', 
            ],
        ],

        'list' => [
            [
                "key" => "category", 
                "type" => "text", 
                "label" => 'faq::faq.label.category', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "user_id", 
                "type" => "text", 
                "label" => 'faq::faq.label.user_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "status", 
                "type" => "text", 
                "label" => 'faq::faq.label.status', 
                'sort' => true,
                'roles' => [],
            ],
        ],

        'form' => [
            [
                "key" => 'question',
                "element" => 'text',
                "type" => 'text',
                "label" => 'faq::faq.label.question',
                "placeholder" => 'faq::faq.placeholder.question',
                "required" => 'true',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'anser',
                "element" => 'text',
                "type" => 'text',
                "label" => 'faq::faq.label.anser',
                "placeholder" => 'faq::faq.placeholder.anser',
                "required" => 'true',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'category',
                "element" => 'text',
                "type" => 'text',
                "label" => 'faq::faq.label.category',
                "placeholder" => 'faq::faq.placeholder.category',
                "required" => 'true',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'status',
                "element" => 'text',
                "type" => 'text',
                "label" => 'faq::faq.label.status',
                "placeholder" => 'faq::faq.placeholder.status',
                "required" => 'true',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
        ],

        'urls' => [
            'new' => [
                'url' => 'faq/faq/new',
                'method' => 'GET',
            ],
            'create' => [
                'url' => 'faq/faq/create',
                'method' => 'GET',
            ],
            'store' => [
                'url' => 'faq/faq',
                'method' => 'POST',
            ],
            'update' => [
                'url' => 'faq/faq',
                'method' => 'PUT',
            ],
            'list' => [
                'url' => 'faq/faq',
                'method' => 'GET',
            ],
            'delete' => [
                'url' => 'faq/faq',
                'method' => 'DELETE',
            ],
        ],

        'order' => [
            'created_at' => 'faq::faq.label.created_at',
            'name' => 'faq::faq.label.name',
            'status' => 'faq::faq.label.status',
        ],

        'groups' => [
            [
                'icon' => "mdi:account-supervisor-outline",
                'name' => "faq::faq.groups.main",
                'group' => "main.main",
                'title' => "faq::faq.groups.main",
            ],
            [
                'icon' => "fe:home",
                'name' => "faq::faq.groups.details",
                'group' => "main.details",
                'title' => "faq::faq.groups.details",
            ],
            'images' => [
                'icon' => "fe:home",
                'name' => "faq::faq.groups.images",
                'group' => "main.images",
                'title' => "faq::faq.groups.images",
            ],
            'settings' => [
                'icon' => "fe:home",
                'name' => "faq::faq.groups.settings",
                'group' => "main.settings",
                'title' => "faq::faq.groups.settings",
            ]
        ],

        'controller' => [
            'provider' => 'Eform',
            'package' => 'Faq',
            'module' => 'Faq',
        ],

        
         
        'actions' => [
            'copy' => [
                'type' => ['Details', 'List'],
                'label' => 'faq::faq.action.copy',
                'roles' => [
                    'user' => ['superuser', 'admin'],
                    'team' => ['admin'],
                    'permission' => ['faq.faq.copy', 'faq.faq.duplicate'],
                ],
                'form' => [
                    'count' => [
                        "element" => 'select',
                        "type" => 'select',
                        "label" => 'faq::faq.label.count',
                        "placeholder" => 'faq::faq.placeholder.count',
                        "options" => call_user_func(function () {
                            return [
                                1 => ['value' => 1, 'text' => 1],
                                2 => ['value' => 2, 'text' => 2],
                                3 => ['value' => 3, 'text' => 3],
                                4 => ['value' => 4, 'text' => 4],
                            ];
                        }),
                        "col" => "12",
                    ],
                    'comment' => [
                        "element" => 'textarea',
                        "type" => 'text',
                        "required" => 'required',
                        "label" => 'faq::faq.label.comment',
                        "placeholder" => 'faq::faq.placeholder.comment',
                        "col" => "12",
                    ],
                ],
            ],
            'empty' => [
                'type' => ['List', 'Details'],
                'label' => 'faq::faq.action.empty',
                'roles' => [
                    'user' => ['superuser'],
                ],
            ],
            
            'section' => [
                'type' => ['Group'],
                'api_url' => '',
                'action' => 'list',
                'label' => 'faq::faq.action.section',
                'store' => 'main.units',
                'group' => 'main.units'
            ],

        ]
        
    ];
