<?php

namespace Eform\Faq\Policies;

use Eform\Faq\Models\Faq;
use Illuminate\Foundation\Auth\User as Authenticatable;

trait FaqAction
{

    /**
     * Determine if the given user can copy the given faq.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function copy(Authenticatable $user, Faq $faq)
    {

        if ($authUser->canDo('faq.faq.action.copy')) {
            return true;
        }

        $this->model->is_owner;
    }

    /**
     * Determine if the given user can empty the given faq.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    function empty(Authenticatable $user, Faq $faq) {

        if ($authUser->canDo('faq.faq.action.empty')) {
            return true;
        }

        $this->model->is_owner;
    }

    /**
     * Determine if the given user can transfer the given faq.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function transfer(Authenticatable $user, Faq $faq)
    {

        if ($authUser->canDo('faq.faq.action.transfer')) {
            return true;
        }

        $this->model->is_owner;
    }

}
